Name:		isodumper
Version:	0.25
Release:	%mkrel 1
Summary:	Tool for writing ISO images on a USB stick
Summary(fr_FR):	Outil pour écrire des images ISO sur une clé USB
License:	GPLv2+ and LGPLv2+
Group:		System/Configuration
URL:		https://github.com/papoteur-mga/isodumper
# wget https://github.com/papoteur-mga/isodumper/archive/%%{version}.tar.gz -O %%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	imagemagick
BuildRequires:	intltool

Requires:	coreutils
Requires:	pango
Requires:	polkit
Requires:	procps
Requires:	python
Requires:	pygtk2.0-libglade
Requires:	udisks
Requires:	xterm

%description
A GUI tool for writing ISO images on a USB stick.
It's a fork of usb-imagewriter.

This software is written in python.

%description -l fr_FR
Un outil graphique pour écrire des images ISO sur une clé USB.
C'est un fork de usb-imagewriter

Ce logiciel est écrit en python.

#--------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING.GPL COPYING.LGPL CHANGELOG
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_usr}/lib/%{name}/
%{_datadir}/%{name}/
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/*/%{name}.*


%changelog
* Tue Oct 28 2014 daviddavid <daviddavid> 0.25-1.mga4
+ Revision: 794074
- bugfix version 0.25: https://github.com/papoteur-mga/isodumper/releases/tag/0.25
- * https://github.com/papoteur-mga/isodumper/blob/0.25/CHANGELOG
- rediff patch0 to fix wrong progress steps with small images
  * https://github.com/papoteur-mga/isodumper/commit/8eb9d7b8fb1e625cf6fdea922cd6b68e7cd7ee1d
- add a patch0 to fix security issue writing log file
  * https://github.com/papoteur-mga/isodumper/commit/96eb4e2d67e26597cc5bb8d50b295030850f633d
- Bugfix version 0.23: https://github.com/papoteur-mga/isodumper/releases/tag/0.23
- new version: 0.21
- fix bug of writing the log file in the home directory of the user (mga#13359)
  * this is an upstream bugfix
  * https://github.com/papoteur-mga/isodumper/releases/tag/0.21

  + akien <akien>
    - Bugfix version 0.22: https://github.com/papoteur-mga/isodumper/releases/tag/0.22

* Fri Jan 10 2014 akien <akien> 0.20-2.mga4
+ Revision: 566183
+ rebuild (emptylog)

* Thu Jan 09 2014 akien <akien> 0.20-1.mga4
+ Revision: 565993
- Update to 0.20: https://github.com/papoteur-mga/isodumper/releases/tag/0.20
- Notable change is the switch from usermode to polkit and a function to backup device contents

* Sun Dec 22 2013 akien <akien> 0.13-2.mga4
+ Revision: 559971
- New upstream tarball for 0.13, now the version is displayed in the title bar

* Mon Dec 16 2013 akien <akien> 0.13-1.mga4
+ Revision: 557935
- Update to upstream release 0.13: https://github.com/papoteur-mga/isodumper/releases/tag/0.13
- Now building and installing with a proper Makefile
- Changing BR on usermode-consoleonly to a Requires

* Sun Nov 24 2013 akien <akien> 0.12-1.mga4
+ Revision: 552726
- New upstream release 0.12, with changes:
- Correction of bugs in the device name and in the dialog box loops
- Added a catch of writing error
- Update to upstream release 0.11: https://github.com/papoteur-mga/isodumper/releases/tag/0.11
- Changed spec file to include all validated translations

* Mon Oct 21 2013 umeabot <umeabot> 0.1-2.mga4
+ Revision: 539293
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 akien <akien> 0.1-1.mga4
+ Revision: 489154
- Fixed version number (0.1 instead of 0.10)
- Reverted early change to the locale installation (will be added in future versions)
- Version 0.10
- Improved translation build (david_david)
- Fixed erroneous change of the lib dir
- imported package isodumper

